package com.ruoyi.project.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报业务对象 project_application
 *
 * @author ruoyi
 * @date 2024-06-14
 */

@Data
@EqualsAndHashCode(callSuper = true)
/* 这个地方继承了BaseEntity, 实际可以认为就是包含了一个特定成员变量而已。*/
public class ProjectApplicationBo extends BaseEntity {

    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空", groups = { EditGroup.class })
    private Long projectId;

    /**
     * 项目名称
     */
    @NotBlank(message = "项目名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectName;

    /**
     * 状态（0正常 1停用）
     */
    @NotBlank(message = "状态（0正常 1停用）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectStatus;

    /**
     * 申报开始日期
     */
    @NotNull(message = "申报开始日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @NotNull(message = "申报结束日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppEndTime;

    /**
     * 项目负责人
     */
    @NotBlank(message = "项目负责人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectLeader;

    /**
     * 项目预算(万)
     */
    @NotNull(message = "项目预算(万)不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long projectBudget;

    /**
     * 项目负责人联系电话
     */
    @NotBlank(message = "项目负责人联系电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectLeaderPhone;


}
