package com.ruoyi.project.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 项目申报视图对象 project_application
 *
 * @author ruoyi
 * @date 2024-06-14
 */
@Data
@ExcelIgnoreUnannotated
public class ProjectApplicationVo {

    private static final long serialVersionUID = 1L;

    /**
     * 项目ID
     */
    @ExcelProperty(value = "项目ID")
    private Long projectId;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称")
    private String projectName;

    /**
     * 状态（0正常 1停用）
     */
    @ExcelProperty(value = "状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "0=正常,1=停用")
    private String projectStatus;

    /**
     * 申报开始日期
     */
    @ExcelProperty(value = "申报开始日期")
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @ExcelProperty(value = "申报结束日期")
    private Date projectAppEndTime;

    /**
     * 项目负责人
     */
    @ExcelProperty(value = "项目负责人")
    private String projectLeader;

    /**
     * 项目预算(万)
     */
    @ExcelProperty(value = "项目预算(万)")
    private Long projectBudget;

    /**
     * 项目负责人联系电话
     */
    @ExcelProperty(value = "项目负责人联系电话")
    private String projectLeaderPhone;


}
